Skip to main content
GET
/
v2
/
documents
List uploaded documents
curl --request GET \
  --url https://api.example.com/v2/documents/ \
  --header 'Authorization: Bearer <token>'
{
  "documents": [
    {
      "createdAt": "<string>",
      "documentType": "<string>",
      "id": "<string>",
      "ready": true,
      "updatedAt": "<string>",
      "uploadErrorBack": "<string>",
      "uploadErrorFront": "<string>",
      "uploadStatusBack": "<string>",
      "uploadStatusFront": "<string>",
      "uploadURLBack": "<string>",
      "uploadURLFront": "<string>"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

createdAfter
integer<int64>

Unix timestamp (seconds) lower bound (inclusive).

createdBefore
integer<int64>
documentType
string
cursor
string

Response

OK

documents
object[]
cursor
string